Subject: Re: problem with a ssh server under cygwin
From: Frank-Michael Moser <[email-masked]>
To: [email-masked]
Date: Wed, 24 Jul 2002 11:46:56 +0200

> I have set up a ssh server under cygwin (WinXP). When i try to
 > connect with public key authentication from my linux box i get
 > this message from the ssh server:
 >
 > You are successfully logged in to this server!!!
 > d:\cygwin\bin\bash.exe: *** could not load wsock32, Win32 error 126
 > Connection to bigbad closed.

I encountered exactly the same problem.

I'm running Cygwin on WinXP. The sshd is started as service which was 
installed via cygrunsrv and configured *without* privsep. I setup public 
key authentication months ago and it worked fine until around two weeks 
ago (I always updated OpenSSH). Now I always get the message described 
above regardless of whether I try to login from localhost or from a 
linux box.

But when I stop sshd (net stop sshd) and start /usr/sbin/sshd -d 
everything works fine. I attached the output of /usr/sbin/sshd -d as 
well as the output of cygcheck -s.

Frank-Michael

-- 
------------------------------------------------------------
DECODON GmbH                        phone: +49(0)3834 515231
W.-Rathenau-Str. 49a                  fax: +49(0)3834 515239
17489 Greifswald                    email: [email-masked]
Germany                               web:   www.decodon.com
------------------------------------------------------------

Cygwin Win95/NT Configuration Diagnostics
Current System Time: Wed Jul 24 11:36:17 2002

Windows XP Home Edition Ver 5.1 Build 2600 

Path:	.
	c:\home\moser\scripts\cygwin
	c:\home\moser\scripts
	c:\home\moser\bin\cygwin
	c:\home\moser\bin
	c:\home\moser\work\bin
	.
	c:\jdk\1.3.1\bin
	C:\cygwin\usr\X11R6\bin
	C:\cygwin\bin\X11
	C:\cygwin\usr\local\bin
	C:\cygwin\bin
	C:\cygwin\bin
	c:\Programme\system
	c:\WINDOWS\system32
	c:\WINDOWS
	c:\WINDOWS\System32\Wbem
	c:\Programme\Network Associates\PGPcmdln

SysDir: C:\WINDOWS\System32
WinDir: C:\WINDOWS

CYGWIN = `codepage:oem'
HOME = `c:\home\moser'
MAKE_MODE = `unix'
PWD = `/home/moser'
USER = `moser'

Use `-r' to scan registry

a:  fd           N/A    N/A                    
c:  hd  NTFS   28607Mb  58% CP CS UN PA FC     PIP
d:  cd  CDFS       1Mb 100%    CS UN           Photoland-RS
e:  cd           N/A    N/A                    
h:  hd  NTFS   28607Mb  58% CP CS UN PA FC     PIP
n:  net NTFS   16042Mb  95% CP CS    PA        ILVM-Bilder
p:  net NTFS   16042Mb  95% CP CS    PA        Export
s:  net NTFS   17240Mb  96% CP CS    PA        software
t:  net NTFS   16042Mb  95% CP CS    PA        Transfer
u:  net NTFS   34134Mb  70% CP CS    PA        moser
v:  hd  NTFS   28607Mb  58% CP CS UN PA FC     PIP
w:  net NTFS   17240Mb  96% CP CS    PA        decodon
x:  hd  NTFS   28607Mb  58% CP CS UN PA FC     PIP
y:  hd  NTFS   28607Mb  58% CP CS UN PA FC     PIP
z:  hd  NTFS   28607Mb  58% CP CS UN PA FC     PIP

.                                  /cygdrive                 user    binmode,cygdrive
C:\cygwin                          /                         system  binmode
\\dagobert\moser                   /home/gustav/moser        system  binmode
\\dagobert\software                /home/public/software     system  binmode
\\dagobert\transfer                /home/public/transfer     system  binmode
C:\cygwin/bin                      /usr/bin                  system  binmode
C:\cygwin/lib                      /usr/lib                  system  binmode
\\dagobert\cvsroot                 /usr/local/cvsroot        system  binmode
c:\jdk\1.3.1                       /usr/local/java           system  binmode
C:\cygwin\usr\X11R6\lib\X11\fonts  /usr/X11R6/lib/X11/fonts  system  binmode
.                                  /cygdrive                 user    binmode,cygdrive

Found: C:\cygwin\bin\bash.exe
Found: C:\cygwin\bin\cat.exe
Found: C:\cygwin\bin\cpp.exe
Found: C:\cygwin\bin\find.exe
Found: C:\cygwin\bin\gcc.exe
Found: C:\cygwin\bin\gdb.exe
Found: C:\cygwin\bin\ld.exe
Found: C:\cygwin\bin\ls.exe
Found: C:\cygwin\bin\make.exe
Found: C:\cygwin\bin\sh.exe

   41k 2002/05/14 C:\cygwin\usr\X11R6\bin\cygPropList-0.dll
   58k 2002/05/07 C:\cygwin\bin\cygbz2-1.dll
   54k 2002/01/27 C:\cygwin\bin\cygbz21.0.dll
  621k 2002/05/17 C:\cygwin\bin\cygcrypto.dll
  111k 2002/06/13 C:\cygwin\bin\cygcurl-2.dll
   50k 2002/03/17 C:\cygwin\bin\cygexslt-0.dll
   45k 2001/04/25 C:\cygwin\bin\cygform5.dll
   35k 2002/01/09 C:\cygwin\bin\cygform6.dll
   19k 2002/02/20 C:\cygwin\bin\cyggdbm.dll
   17k 2001/06/28 C:\cygwin\bin\cyghistory4.dll
   20k 2002/01/13 C:\cygwin\bin\cyghistory5.dll
  929k 2002/06/24 C:\cygwin\bin\cygiconv-2.dll
   22k 2001/12/13 C:\cygwin\bin\cygintl-1.dll
   23k 2002/06/24 C:\cygwin\bin\cygintl-2.dll
   21k 2001/06/20 C:\cygwin\bin\cygintl.dll
   81k 2000/12/05 C:\cygwin\bin\cygitcl30.dll
   35k 2000/12/05 C:\cygwin\bin\cygitk30.dll
   45k 2002/02/08 C:\cygwin\bin\cygjbig1.dll
  119k 2002/02/09 C:\cygwin\bin\cygjpeg6b.dll
   25k 2002/05/08 C:\cygwin\bin\cygltdl-3.dll
   26k 2001/04/25 C:\cygwin\bin\cygmenu5.dll
   20k 2002/01/09 C:\cygwin\bin\cygmenu6.dll
  156k 2001/04/25 C:\cygwin\bin\cygncurses++5.dll
  175k 2002/01/09 C:\cygwin\bin\cygncurses++6.dll
  226k 2001/04/25 C:\cygwin\bin\cygncurses5.dll
  202k 2002/01/09 C:\cygwin\bin\cygncurses6.dll
   15k 2001/04/25 C:\cygwin\bin\cygpanel5.dll
   12k 2002/01/09 C:\cygwin\bin\cygpanel6.dll
   40k 2001/11/21 C:\cygwin\bin\cygpcre.dll
   39k 2001/11/21 C:\cygwin\bin\cygpcreposix.dll
  171k 2002/05/07 C:\cygwin\bin\cygpng10.dll
  175k 2002/05/24 C:\cygwin\bin\cygpng12.dll
  170k 2002/01/21 C:\cygwin\bin\cygpng2.dll
   22k 2002/06/09 C:\cygwin\bin\cygpopt-0.dll
  108k 2001/06/28 C:\cygwin\bin\cygreadline4.dll
  121k 2002/01/13 C:\cygwin\bin\cygreadline5.dll
   66k 2001/11/20 C:\cygwin\bin\cygregex.dll
  156k 2002/05/17 C:\cygwin\bin\cygssl.dll
  390k 2000/12/05 C:\cygwin\bin\cygtcl80.dll
    5k 2000/12/05 C:\cygwin\bin\cygtclpip80.dll
   10k 2000/12/05 C:\cygwin\bin\cygtclreg80.dll
  253k 2002/02/10 C:\cygwin\bin\cygtiff3.dll
  623k 2000/12/05 C:\cygwin\bin\cygtk80.dll
 1248k 2002/03/17 C:\cygwin\bin\cygxml2-2.dll
   41k 2002/01/20 C:\cygwin\bin\cygXpm-noX4.dll
   46k 2002/01/20 C:\cygwin\bin\cygXpm-X4.dll
  152k 2002/03/17 C:\cygwin\bin\cygxslt-1.dll
   15k 2002/03/17 C:\cygwin\bin\cygxsltbreakpoint-1.dll
   50k 2002/03/12 C:\cygwin\bin\cygz.dll
  883k 2002/07/06 C:\cygwin\bin\cygwin1.dll
    Cygwin DLL version info:
        DLL version: 1.3.12
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 54
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix: 
        Build date: Sat Jul 6 02:16:58 EDT 2002
        CVS tag: cygwin-1-3-12-1
        Shared id: cygwin1S3

Cygwin Package Information
Package             Version             
WindowMaker         0.80.0-2            
XFree86-base        4.2.0-1             
XFree86-bin         4.2.0-1             
XFree86-doc         4.2.0-1             
XFree86-etc         4.2.0-1             
XFree86-f100        4.2.0-2             
XFree86-fcyr        4.2.0-2             
XFree86-fenc        4.2.0-2             
XFree86-fnts        4.2.0-2             
XFree86-fscl        4.2.0-2             
XFree86-fsrv        4.2.0-1             
XFree86-html        4.2.0-1             
XFree86-jdoc        4.2.0-1             
XFree86-lib         4.2.0-3             
XFree86-man         4.2.0-1             
XFree86-nest        4.2.0-1             
XFree86-prog        4.2.0-1             
XFree86-prt         4.2.0-1             
XFree86-ps          4.2.0-1             
XFree86-startup-scripts4.2.0-2             
XFree86-vfb         4.2.0-1             
XFree86-xserv       4.2.0-10            
Xaw3d               1.5-1               
_update-info-dir    00031-1             
ash                 20020131-1          
autoconf            2.53a-1             
autoconf-devel      2.53a-1             
autoconf-stable     2.13-4              
automake            1.6.1-1             
automake-devel      1.6.2-1             
automake-stable     1.4p5-5             
bash                2.05a-3             
bc                  1.06-1              
binutils            20020706-2          
bison               1.35-1              
byacc               1.9-1               
bzip2               1.0.2-2             
cgoban              1.9.12-1            
clear               1.0-1               
cpio                2.4.2               
cron                3.0.1-7             
crypt               1.0-1               
ctags               5.2-1               
curl                7.9.8-1             
cvs                 1.11.0-1            
cygrunsrv           0.95-1              
cygutils            1.1.2-1             
cygwin              1.3.12-2            
cygwin-doc          1.0-1               
dejagnu             20010117-1          
diff                1.0-1               
diffutils           2.8.1-1             
ed                  0.2-1               
enscript            1.6.3-2             
expect              20010117-1          
figlet              2.2-1               
file                3.37-1              
fileutils           4.1-1               
findutils           4.1.7-4             
flex                2.5.4-2             
fortune             1.8-2               
gawk                3.0.4-1             
gcc                 2.95.3-5            
gdb                 20010428-3          
gdbm                1.8.0-4             
gettext             0.11.2-2            
ghostscript         6.51-4              
ghostscript-base    7.05-1              
ghostscript-x11     7.05-1              
gnugo               3.2-1               
gnupg               1.0.7-1             
gperf               0.0                 
grep                2.5-1               
groff               1.17.2-1            
gzip                1.3.3-3             
indent              2.2.8-1             
inetutils           1.3.2-19            
irc                 20010101-1          
jbigkit             1.2-6               
jpeg                6b-7                
keychain            1.9-1               
less                374-1               
lesstif             0.93.18-3           
libPropList         0.10.1-3            
libbz2_0            1.0.2-1             
libbz2_1            1.0.2-2             
libiconv2           1.8-2               
libintl             0.10.38-3           
libintl1            0.10.40-1           
libintl2            0.11.2-2            
libncurses5         5.2-1               
libncurses6         5.2-8               
libpng              1.2.3-1             
libpng10            1.0.13-3            
libpng10-devel      1.0.13-3            
libpng12            1.2.3-1             
libpng2             1.0.12-1            
libpopt0            1.6.4-4             
libreadline4        4.1-2               
libreadline5        4.2a-1              
libtool             20020202a-1         
libtool-devel       20020502-2          
libtool-stable      1.4.2-2             
libxml2             2.4.17-1            
libxslt             1.0.13-1            
links               0.96-1              
login               1.4-3               
lynx                2.8.4-1             
m4                  0.0                 
make                3.79.1-7            
man                 1.5g-2              
mc                  4.5.55-1            
mingw-runtime       2.0-2               
mktemp              1.4-1               
more                2.11o-1             
mt                  2.0.1-1             
mutt                1.4-1               
nano                1.0.7-1             
ncftp               3.1.3-1             
ncurses             5.2-8               
newlib-man          20001118-1          
opengl              1.1.0-6             
openssh             3.4p1-4             
openssl             0.9.6d-1            
openssl-devel       0.9.6d-1            
patch               2.5-3               
pcre                3.7-1               
perl                5.6.1-2             
pine                4.44-2              
pkgconfig           0.12.0-1            
python              2.2.1-1             
rcs                 5.7-3               
readline            4.2a-1              
regex               4.4-2               
robots              2.0-1               
rsync               2.5.5-1             
rxvt                2.7.2-10            
sed                 3.02-1              
sh-utils            2.0-2               
sharutils           4.2.1-2             
shutdown            1.2-2               
squid               2.4.STABLE6-1       
ssmtp               2.38.7-3            
tar                 1.13.19-1           
tcltk               20001125-1          
tcp_wrappers        7.6-1               
tcsh                6.11.00-4           
termcap             20020403-1          
terminfo            5.2-3               
tetex-beta          20001218-4          
texinfo             4.2-3               
texmf               20000804-2          
texmf-base          20000804-2          
texmf-doc           20000804-2          
texmf-extra         20000804-2          
texmf-tiny          20000804-2          
textutils           2.0.21-1            
tidy                020623-1            
tiff                3.5.7-1             
time                1.7-1               
ttcp                19980512-1          
ucl                 1.01-1              
units               1.77-1              
unzip               5.50-1              
upx                 1.21-1              
vim                 6.1-2               
w32api              1.5-1               
wget                1.8.2-1             
which               1.5-1               
whois               4.5.17-1            
x2x                 1.27-1              
xpm-nox             4.2.0-1             
zip                 2.3-2               
zlib                1.1.4-1             
zsh                 4.0.4-1             

Use -h to see help about each section
debug1: sshd version OpenSSH_3.4p1
debug1: private host key: #0 type 0 RSA1
debug1: read PEM private key done: type RSA
debug1: private host key: #1 type 1 RSA
debug1: read PEM private key done: type DSA
debug1: private host key: #2 type 2 DSA
debug1: Bind to port 22 on 0.0.0.0.
Server listening on 0.0.0.0 port 22.
Generating 768 bit RSA key.
RSA key generation complete.
debug1: Server will not fork when running in debugging mode.
Connection from 172.31.1.7 port 47110
debug1: Client protocol version 2.0; client software version OpenSSH_3.4p1
debug1: match: OpenSSH_3.4p1 pat OpenSSH*
Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-1.99-OpenSSH_3.4p1
debug1: list_hostkey_types: ssh-rsa,ssh-dss
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: client->server aes128-cbc hmac-md5 none
debug1: kex: server->client aes128-cbc hmac-md5 none
debug1: SSH2_MSG_KEX_DH_GEX_REQUEST received
debug1: SSH2_MSG_KEX_DH_GEX_GROUP sent
debug1: dh_gen_key: priv key bits set: 135/256
debug1: bits set: 1620/3191
debug1: expecting SSH2_MSG_KEX_DH_GEX_INIT
debug1: bits set: 1636/3191
debug1: SSH2_MSG_KEX_DH_GEX_REPLY sent
debug1: kex_derive_keys
debug1: newkeys: mode 1
debug1: SSH2_MSG_NEWKEYS sent
debug1: waiting for SSH2_MSG_NEWKEYS
debug1: newkeys: mode 0
debug1: SSH2_MSG_NEWKEYS received
debug1: KEX done
debug1: userauth-request for user moser service ssh-connection method none
debug1: attempt 0 failures 0
Failed none for moser from 172.31.1.7 port 47110 ssh2
debug1: userauth-request for user moser service ssh-connection method publickey
debug1: attempt 1 failures 1
debug1: test whether pkalg/pkblob are acceptable
debug1: temporarily_use_uid: 1005/513 (e=1005)
debug1: trying public key file /home/moser/.ssh/authorized_keys
debug1: matching key found: file /home/moser/.ssh/authorized_keys, line 3
Found matching RSA key: 76:a1:77:ed:75:48:35:fc:15:d5:11:93:5c:3e:0a:f4
debug1: restore_uid
Postponed publickey for moser from 172.31.1.7 port 47110 ssh2
debug1: userauth-request for user moser service ssh-connection method publickey
debug1: attempt 2 failures 1
debug1: temporarily_use_uid: 1005/513 (e=1005)
debug1: trying public key file /home/moser/.ssh/authorized_keys
debug1: matching key found: file /home/moser/.ssh/authorized_keys, line 3
Found matching RSA key: 76:a1:77:ed:75:48:35:fc:15:d5:11:93:5c:3e:0a:f4
debug1: restore_uid
debug1: ssh_rsa_verify: signature correct
Accepted publickey for moser from 172.31.1.7 port 47110 ssh2
debug1: Entering interactive session for SSH2.
debug1: fd 3 setting O_NONBLOCK
debug1: fd 7 setting O_NONBLOCK
debug1: server_init_dispatch_20
debug1: server_input_channel_open: ctype session rchan 0 win 65536 max 16384
debug1: input_session_request
debug1: channel 0: new [server-session]
debug1: session_new: init
debug1: session_new: session 0
debug1: session_open: channel 0
debug1: session_open: session 0: link with channel 0
debug1: server_input_channel_open: confirm session
debug1: server_input_channel_req: channel 0 request pty-req reply 0
debug1: session_by_channel: session 0 channel 0
debug1: session_input_channel_req: session 0 req pty-req
debug1: Allocating pty.
debug1: session_pty_req: session 0 alloc /dev/tty2
debug1: Ignoring unsupported tty mode opcode 52 (0x34)
debug1: Ignoring unsupported tty mode opcode 62 (0x3e)
debug1: server_input_channel_req: channel 0 request shell reply 0
debug1: session_by_channel: session 0 channel 0
debug1: session_input_channel_req: session 0 req shell
debug1: fd 4 setting TCP_NODELAY
debug1: channel 0: rfd 9 isatty
debug1: fd 9 setting O_NONBLOCK
debug1: fd 8 setting O_NONBLOCK
debug1: Received SIGCHLD.
debug1: session_by_pid: pid 2952
debug1: session_exit_message: session 0 channel 0 pid 2952
debug1: channel request 0: exit-status
debug1: session_exit_message: release channel 0
debug1: channel 0: write failed
debug1: channel 0: close_write
debug1: channel 0: output open -> closed
debug1: session_close: session 0 pid 2952
debug1: session_pty_cleanup: session 0 release /dev/tty2
syslogin_perform_logout: logout() returned an error
debug1: channel 0: read<=0 rfd 9 len 0
debug1: channel 0: read failed
debug1: channel 0: close_read
debug1: channel 0: input open -> drain
debug1: channel 0: ibuf empty
debug1: channel 0: send eof
debug1: channel 0: input drain -> closed
debug1: channel 0: send close
debug1: channel 0: rcvd close
debug1: channel 0: is dead
debug1: channel 0: garbage collecting
debug1: channel_free: channel 0: server-session, nchannels 1
Connection closed by remote host.
Closing connection to 172.31.1.7

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/